#include <stdio.h>
#include <stdlib.h>

int main() {
    const int N = 2<<24;
    size_t size = N * sizeof(float);

    int *a, *b, *c;  // input and output arrays
    
    // Allocate memory for arrays
    a = (int*)malloc(size * sizeof(int));
    b = (int*)malloc(size * sizeof(int));
    c = (int*)malloc(size * sizeof(int));
    
    // Initialize input arrays
    for (int i = 0; i < size; i++) {
        a[i] = i;
        b[i] = i;
    }
    
    // Perform vector addition
    vectorAdd(a, b, c, size);
    
    // Print the result
    for (int i = 0; i < 10; i++) {
        printf("%d ", c[i]);
    }
    printf("\n");
    
    // Free memory
    free(a);
    free(b);
    free(c);
    
    return 0;
}

